# A Lightweight Python Hit Arithmetic - ALPHA

A to-hit calculator and damage/heat tracker for Battletech: Alpha Strike.

## Current Features

As of now, you can:
- Set the following mech attributes on a per-mech basis:
  - Name
  - Size
  - Pilot Skill
  - Total Movement Modifier
  - Add multiple mechs
  - Query a list of mechs based on player name

## Upcoming Features

Next on the release docket:
- Modify mech stats on demand
- Set mech armor and structure values
- Set damage for each range bracket
- Set heat scale
- Set critical points

## Core Features

Once those key things are taken care of, you’ll be able to:
- Load multiple mechs from a local file
- Load multiple mechs from an online source
- Run attack rolls to and against mechs
- Automatic critical calculations upon structure damage
- Turn-based damage, so all pending effects are held in a buffer
  before they apply after all actions in a turn