import clean_dict as c

class Mech:
    def __init__(self,
    name='NewMech',
    dez='NEW-1',
    size=1,
    skill=1,
    tmm=1,
    debug=True,
    quiet=True):
      # the 'quiet' flag tells the constructor whether
      # to set everything as defaults,
      # or to let the user set the data for the instance.
      if not quiet:
        self.name = input("Mech name: ")
        self.size = input("Mech size: ")
        self.skill = input("Pilot skill: ")
        self.tmm = input("Total Movement Modifier: ")
        self.dez = input("Variant name: ")
        self.debug = debug
        self.player = input("Assign mech to player? Leave blank for none: ")
      else:
        self.name = name
        self.dez = dez
        self.size = size
        self.skill = skill
        self.tmm = tmm
        self.debug = debug
        self.player = ''

      self.card = {
          "player": self.get_player(),
          "name": self.get_name(),
          "dez": self.get_dez(),
          "size": self.get_size(),
          "skill": self.get_skill(),
          "tmm": self.get_tmm()
      }

      if debug: print(self.card)

    def set_name(self, name):
        self.name = name
        self.card["name"] = name
    
    def set_dez(self, dez):
        self.dez = dez
        self.card["dez"] = dez

    def set_size(self, size):
        self.size = size
        self.card["size"] = size

    def set_skill(self, skill):
        self.skill = skill
        self.card["skill"] = skill

    def set_tmm(self, tmm):
        self.tmm = tmm
        self.card["tmm"] = tmm
    
    def set_player(self, player):
        self.player = player
        self.card["player"] = player

    def get_name(self):
        return self.name

    def get_dez(self):
        return self.dez

    def get_size(self):
        return self.size

    def get_skill(self):
        return self.skill

    def get_tmm(self):
        return self.tmm
    
    def get_player(self):
        return self.player
        
        
